Bug 834742 - [abrt] gnome-shell-3.5.2-3.fc18: _shell_app_add_window: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.5.2-3.fc18: _shell_app_add_window: Process /usr/bin/gnom...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:3094643d92202fdf491502c1003...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 01:06 EDT by Stef Walter
Modified: 2013-08-01 02:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:43:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.04 KB, text/plain)
2012-06-23 01:06 EDT, Stef Walter
no flags Details
File: maps (93.79 KB, text/plain)
2012-06-23 01:06 EDT, Stef Walter
no flags Details
File: dso_list (22.09 KB, text/plain)
2012-06-23 01:06 EDT, Stef Walter
no flags Details
File: build_ids (7.33 KB, text/plain)
2012-06-23 01:06 EDT, Stef Walter
no flags Details
File: var_log_messages (7.71 KB, text/plain)
2012-06-23 01:06 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-06-23 01:06:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-shell
comment:        Starting my computer.
crash_function: _shell_app_add_window
executable:     /usr/bin/gnome-shell
kernel:         3.3.4-5.fc17.x86_64
pid:            2055
pwd:            /data
time:           Sat 23 Jun 2012 06:25:16 AM CEST
uid:            1000
username:       stef

backtrace:      Text file, 51236 bytes
build_ids:      Text file, 7503 bytes
dso_list:       Text file, 22617 bytes
maps:           Text file, 96046 bytes
var_log_messages: Text file, 7890 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/stef/4

core_backtrace:
:8bd4006e430e5ca8f598d43f46fcaf2d0c8cdb54 0x2db11 _shell_app_add_window libgnome-shell.so -
:8bd4006e430e5ca8f598d43f46fcaf2d0c8cdb54 0x414e1 - libgnome-shell.so -
:548c670b7da89c29fe529ad322b44c507f071b35 0xf854 g_closure_invoke libgobject-2.0.so.0 -
:548c670b7da89c29fe529ad322b44c507f071b35 0x21538 - libgobject-2.0.so.0 -
:548c670b7da89c29fe529ad322b44c507f071b35 0x297df g_signal_emit_valist libgobject-2.0.so.0 -
:548c670b7da89c29fe529ad322b44c507f071b35 0x299c2 g_signal_emit libgobject-2.0.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x74fa7 meta_workspace_add_window libmutter.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x75099 meta_workspace_relocate_windows libmutter.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x5c604 meta_screen_remove_workspace libmutter.so.0 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:001890e08faef3f4f7138e679272afe5e9f2faf9 0x2378d - libgjs.so.0 -
:001890e08faef3f4f7138e679272afe5e9f2faf9 0x24cd3 - libgjs.so.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd781e - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xc1840 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7c64 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4d2fe JS_CallFunctionValue libmozjs185.so.1.0 -
:001890e08faef3f4f7138e679272afe5e9f2faf9 0x22bf6 - libgjs.so.0 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5c77 ffi_closure_unix64_inner libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5ff8 ffi_closure_unix64 libffi.so.5 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x62ea3 - libmutter.so.0 -
:66b5f01c49c56502821ce0d6ce5b7b36c8d484b4 0x8c8bc - libclutter-1.0.so.0 -
:66b5f01c49c56502821ce0d6ce5b7b36c8d484b4 0x8ea6f - libclutter-1.0.so.0 -
:13f1ee349d573beb4a0a14a3f0108dceb501a51f 0x477b5 g_main_context_dispatch libglib-2.0.so.0 -
:13f1ee349d573beb4a0a14a3f0108dceb501a51f 0x47ae8 - libglib-2.0.so.0 -
:13f1ee349d573beb4a0a14a3f0108dceb501a51f 0x47ee2 g_main_loop_run libglib-2.0.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x540b7 meta_run libmutter.so.0 -
:a7c4f92c1c53956ca17780abc1746edb9ad99ec9 0x1cf6 - [exe] -

environ:
:DISPLAY=:0
:XDG_VTNR=3
:XDG_SESSION_ID=4
:HOSTNAME=stef-rawhide.thewalter.lan
:TERM=linux
:SHELL=/bin/bash
:LOGIN_SITE=/data/projects/login-provider/site
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=stef
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:MEM_SITE=/data/projects/members/site
:MAILER_SITE=/data/projects/login-mailer/site
:MAIL=/var/spool/mail/stef
:PATH=/data/bin:/data/.local/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/data/bin
:PWD=/data
:JAVA_HOME=/opt/jdk_1.4.2/
:EDITOR=vi
:LANG=en_US.UTF-8
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/data
:LOGNAME=stef
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:UDB_CONFFILE=/data/projects/udb-test/unit-test/udb.conf
:XDG_RUNTIME_DIR=/run/user/stef
:CCACHE_HASHDIR=
:_=/bin/gnome-shell

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63724                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63724                63724                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/tty3
:pos:	0
:flags:	0100002
:1:/dev/tty3
:pos:	0
:flags:	0100002
:2:/dev/tty3
:pos:	0
:flags:	0100002
:3:pipe:[26067]
:pos:	0
:flags:	04000
:4:pipe:[26067]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[26068]
:pos:	0
:flags:	02004002
:7:/dev/dri/card0
:pos:	0
:flags:	02100002
:8:socket:[27934]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[26800]
:pos:	0
:flags:	02004002
:13:pipe:[27938]
:pos:	0
:flags:	02004000
:14:pipe:[27938]
:pos:	0
:flags:	02004001
:15:socket:[26803]
:pos:	0
:flags:	02004002
:16:/dev/urandom
:pos:	0
:flags:	02100000
:17:anon_inode:inotify
:pos:	0
:flags:	02004000
:18:/tmp/ffiiuYZ7w (deleted)
:pos:	0
:flags:	0100002
:19:socket:[25409]
:pos:	0
:flags:	02004002
:20:/proc/2055/mounts
:pos:	0
:flags:	0100000
:21:socket:[26128]
:pos:	0
:flags:	02004002
:22:/dev/rfkill
:pos:	0
:flags:	0104002
:23:socket:[26814]
:pos:	0
:flags:	02004002
:24:pipe:[26264]
:pos:	0
:flags:	02004000
:25:pipe:[25412]
:pos:	0
:flags:	01
:26:pipe:[26264]
:pos:	0
:flags:	02004001
:27:socket:[27986]
:pos:	0
:flags:	02004002
:28:socket:[26267]
:pos:	0
:flags:	02004002
:29:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:30:/data/.cache/event-sound-cache.tdb.5691e0a07421d3080f37eee900000009.x86_64-redhat-linux-gnu
:pos:	168
:flags:	02100002
:31:socket:[26274]
:pos:	0
:flags:	02004002
:32:socket:[26275]
:pos:	0
:flags:	02004002
:33:socket:[26276]
:pos:	0
:flags:	02004002
:34:anon_inode:inotify
:pos:	0
:flags:	02004000
:35:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
Comment 1 Stef Walter 2012-06-23 01:06:19 EDT
Created attachment 593851 [details]
File: backtrace
Comment 2 Stef Walter 2012-06-23 01:06:22 EDT
Created attachment 593852 [details]
File: maps
Comment 3 Stef Walter 2012-06-23 01:06:24 EDT
Created attachment 593853 [details]
File: dso_list
Comment 4 Stef Walter 2012-06-23 01:06:26 EDT
Created attachment 593854 [details]
File: build_ids
Comment 5 Stef Walter 2012-06-23 01:06:28 EDT
Created attachment 593855 [details]
File: var_log_messages
Comment 6 Stef Walter 2012-06-23 10:34:59 EDT
Opened some terminal windows with Ctrl-Shift-N in gnome-terminal.

backtrace_rating: 4
Package: gnome-shell-3.5.2-3.fc18
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Stef Walter 2012-06-23 10:38:16 EDT
Trying to start gnome-shell with 'gnome-shell --replace' after a crash. Another immediate segfault, with this output:

[stef@stef-rawhide libgnome-keyring]$ gnome-shell --replace
Gtk-Message: Failed to load module "canberra-gtk-module"
Window manager warning: Trying to re-add keybinding "toggle-recording".
Gtk-Message: Failed to load module "canberra-gtk-module"
      JS LOG: Extension "alternative-status-menu@gnome-shell-extensions.gcampax.github.com" had error: extension is not compatible with current GNOME Shell and/or GJS version
      JS LOG: GNOME Shell started at Sat Jun 23 2012 16:36:26 GMT+0200 (CEST)
      JS LOG: Unable to guess content types on added mount truecrypt1: Error: Error invoking Gio.guess_content_type_finish: mount doesn't implement content type guessing
Window manager warning: Log level 8: g_value_type_compatible: assertion `G_TYPE_IS_VALUE (src_type)' failed
Window manager warning: Log level 16: gsignal.c:3277: invalid object type `
Window manager warning: Log level 16: invalid uninstantiatable type `(null)' in cast to `GObject'
Window manager warning: Log level 8: g_object_notify: assertion `G_IS_OBJECT (object)' failed
Window manager warning: Log level 16: instance of invalid non-instantiatable type `(null)'
Window manager warning: Log level 8: g_signal_emit_valist: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
Segmentation fault (core dumped)


backtrace_rating: 4
Package: gnome-shell-3.5.2-3.fc18
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora End Of Life 2013-07-03 21:49:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 02:43:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.